Summary:	Ximian Setup Tools
Name: 		ximian-setup-tools 
Version: 	0.11.0
Release: 	2mdk
License: 	LGPL
Group: 		System/Configuration/Other
Source0:	ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}-%{version}.tar.bz2
# 0.11.0-1mdk put files in FHS compliant directories
Patch0:		ximian-setup-tools-0.11.0-fhs.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://www.ximian.com/

Requires:   wvdial
Requires:   gnome-print >= 0.34
BuildRequires:	XFree86-static-libs
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype2-devel
BuildRequires:	gal-devel
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	libconfig_archiver-devel >= 1.5.11
BuildRequires:	libglade-devel
BuildRequires:	popt-devel
BuildRequires:	sgml-tools
BuildRequires:	texinfo
BuildRequires:	xpm-devel

# BuildRequires: gnome-libs-devel >= 1.0.50
# BuildRequires: gdk-pixbuf >= 0.7.0
# BuildRequires: wvdial
# BuildRequires: libcapplet-devel

Obsoletes: %{name}-devel
Provides: ximian-setup-tools-devel = %{version}

%description
Day-to-day system management on Unix systems is a chore. 
Even when you're using a friendly graphical desktop, seemingly basic 
tasks like setting the system time, changing the network setup, 
importing and exporting network shared filesystems and configuring swap 
partitions requires editing configuration files by hand, and the exact 
procedure varies between different operating systems and distributions.

The Ximian Setup Tools solve all these problems, giving you a simple 
graphical interface for each task, which uses an advanced backend to 
edit all the relevant files and apply your changes. 
The interface looks and acts in exactly the same way regardless of what 
platform you're using.


%prep
%setup -q
%patch0 -p1 -b .fhs

#needed by patch0
automake

%build
%configure --with-archiver
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%{find_lang} %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING HACKING NEWS ChangeLog doc
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/setup-tool-backends
#%{_datadir}/ximian-config/default/*.xml
%{_datadir}/control-center/capplets/System
%{_datadir}/gnome/apps/Settings/System
%{_datadir}/gnome/apps/Settings/System.directory
%{_datadir}/gnome/help/*
#%config %{sysconfdir}/pam.d/*
#%config %{sysconfdir}/security/console.apps/*


%changelog
* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.11.0-2mdk
- BuildRequires
- Rebuild for libgal19

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-1mdk
- Release 0.11.0
- Switch to implicit dependencies
- Patch0: put files in FHS compliant directories

* Tue Nov 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-7mdk
- Remove explicit dependency on gal

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-6mdk
- Recompiled against gal 0.18

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-5mdk
- Recompiled against gal 0.15

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-4mdk
- Patch0: fix to compile with gal 0.12 (GNOME CVS)
- Recompiled against libgal12

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-3mdk
- Add missing directories
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-2mdk
- Recompiled against latest gal

* Wed Aug  1 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.0-1mdk
- new version
- ximian archiver is now a separate tarball
- updated files list

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-2mdk
- Recompiled against latest gal

* Fri Jun 22 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.6.0-1mdk
- initial mandrake release
- not libified since ximian archiver might soon be separate from setup tools

* Wed Mar 03 2001 Chema Celorio <chema@ximian.com>
- Fixed http://bugzilla.ximian.com/show_bug.cgi?id=1644
* Wed Nov 29 2000 Ross Golder <rossigee@bigfoot.com>
- Knocked up preliminary RPM spec file, based on gnome-core spec.

